CC = gcc
CFLAGS = -ansi \
         -pedantic
EXE = final
OFILES = queue.o \
         bifurcation.o
 
### BUT PAR DEFAUT ###
 
final : ${EXE}
 
### REGLES ESSENTIELLES ###
 
bifuraction.o : bifurcation.c
 
queue.o : queue.h queue.c
 
${EXE} : ${OFILES}
	$(CC) $(CFLAGS) -o ${EXE} ${OFILES}

### REGLES OPTIONNELLES ###

clean :
	-rm -f ${OFILES} ${EXE}